2

[alpine-aports] [PATCH 1/9] main/skalibs: upgrade to 2.4.0.0

Laurent Bercot
Details
Message ID
<20161028164605.9519-1-ska-devel@skarnet.org>
Sender timestamp
1477673157
DKIM signature
missing
Download raw message
Patch: +4 -5
---
 main/skalibs/APKBUILD | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/main/skalibs/APKBUILD b/main/skalibs/APKBUILD
index fe8f348..633aba0 100644
--- a/main/skalibs/APKBUILD
+++ b/main/skalibs/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Laurent Bercot <ska-devel@skarnet.org>
 # Contributor: John Regan <john@jrjrtech.com>
 pkgname=skalibs
-pkgver=2.3.10.0
+pkgver=2.4.0.0
 pkgrel=0
 pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
 url="http://skarnet.org/software/skalibs/"
@@ -32,7 +32,6 @@ build() {
 		--enable-static \
 		--libdir=/usr/lib \
                 --enable-clock \
-		--enable-force-devr \
 		|| return 1
 	make || return 1
 }
@@ -55,6 +54,6 @@ doc() {
 	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
 }
 
-md5sums="51cb8484896c68eb8d167767cdfc702e  skalibs-2.3.10.0.tar.gz"
-sha256sums="e4d5147941055b2a367794666f773a4b216c3ae83c015a5fcf2cd0498470ea44  skalibs-2.3.10.0.tar.gz"
-sha512sums="9120554a91ef292a8094c4c036b0e93c8db0576d72597c720eca3562d7239da673ace12b9f73747d957a993a780f112b9b7d03030451c1d0b33eaf90b402832a  skalibs-2.3.10.0.tar.gz"
+md5sums="b953668521fae8669dc7089ca4e18974  skalibs-2.4.0.0.tar.gz"
+sha256sums="a58cdcc8a2f083090632cdee01f962bee2f99c3f8be61f36c1e13adaef42cea9  skalibs-2.4.0.0.tar.gz"
+sha512sums="c1faffaee495da024102a6af98356fcbc76af467612b6e2eff64d9d724dac138d2d5c5d551f4683daf9757c28c90af77ece1a5f5d9fced04dfc33a04eaab8eba  skalibs-2.4.0.0.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 7/9] main/s6-portable-utils: upgrade to 2.1.0.0

Laurent Bercot
Details
Message ID
<20161028164605.9519-7-ska-devel@skarnet.org>
In-Reply-To
<20161028164605.9519-1-ska-devel@skarnet.org> (view parent)
Sender timestamp
1477673163
DKIM signature
missing
Download raw message
Patch: +4 -4
---
 main/s6-portable-utils/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/s6-portable-utils/APKBUILD b/main/s6-portable-utils/APKBUILD
index 2c9c8af..b8f5109 100644
--- a/main/s6-portable-utils/APKBUILD
+++ b/main/s6-portable-utils/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Laurent Bercot <ska-devel@skarnet.org>
 # Contributor: John Regan <john@jrjrtech.com>
 pkgname=s6-portable-utils
-pkgver=2.0.6.0
+pkgver=2.1.0.0
 pkgrel=0
 pkgdesc="skarnet.org's tiny portable generic utilities"
 url="http://skarnet.org/software/$pkgname/"
@@ -42,6 +42,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="f6341ba58c9ee5c373e4cb5a617bedfa  s6-portable-utils-2.0.6.0.tar.gz"
-sha256sums="233b7d13766a23661cc7ed5c052f29b9c558c1d516a538a281a17da22a909d4b  s6-portable-utils-2.0.6.0.tar.gz"
-sha512sums="822c723f112550550591afb83908bf4d62f40e88fd46eacc6d56feb4c952bcfc4bad91c988f7379323cf7997c4fb823bb837e0c433ca6947762a63a1b8681557  s6-portable-utils-2.0.6.0.tar.gz"
+md5sums="b0289aa1c46ede3b036a9cfccf00fbd7  s6-portable-utils-2.1.0.0.tar.gz"
+sha256sums="cde145b7b9d1f1685f271c45c8aed635e74221689bb8ec21a11b3e5a252d1c4e  s6-portable-utils-2.1.0.0.tar.gz"
+sha512sums="0b18304c63180c3233a5f29e1fc24b20c9c99c8949b042244d4a5b69cf2f15049ccbeddb2c3ffc5e88ee636bcfe836568670cc1626d5517381771ee3baff10c5  s6-portable-utils-2.1.0.0.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 9/9] main/s6-linux-init: new package

Laurent Bercot
Details
Message ID
<20161028164605.9519-9-ska-devel@skarnet.org>
In-Reply-To
<20161028164605.9519-1-ska-devel@skarnet.org> (view parent)
Sender timestamp
1477673165
DKIM signature
missing
Download raw message
Patch: +47 -0
---
 main/s6-linux-init/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 main/s6-linux-init/APKBUILD

diff --git a/main/s6-linux-init/APKBUILD b/main/s6-linux-init/APKBUILD
new file mode 100644
index 0000000..1acf3e7
--- /dev/null
+++ b/main/s6-linux-init/APKBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
+# Contributor: Laurent Bercot <ska-devel@skarnet.org>
+pkgname=s6-linux-init
+pkgver=0.2.0.0
+pkgrel=0
+pkgdesc="A set of tools to create and run an s6-based init system."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="24b9b232a5bcbb6be1c592ae1c23eb6d  s6-linux-init-0.2.0.0.tar.gz"
+sha256sums="131484e61eff0e671e112f0436b13e8e7d08752f810d8bec4924a68383eee2b9  s6-linux-init-0.2.0.0.tar.gz"
+sha512sums="16c8c97b65ad533b70ed9dd189827778797dc8d0a70af0880655b5f89a1524cd9d3675cb681b99f4704d43c810a4211c9926bfeb743247d7c29559ec2f77606e  s6-linux-init-0.2.0.0.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---